<%-- $HeadURL: svn+ssh://jwilden@svn.wald.intevation.org/deegree/apps/services-template/trunk/web/deegree_navi.jsp $ --%>
<%-- $Id: deegree_navi.jsp 30791 2011-05-12 09:19:19Z jwilden $ --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %> 
<%@ page import="org.deegree.framework.version.*" %>
<% 
    String igeoportal = application.getInitParameter("igeoportal");
    String serviceList = (String) application.getAttribute( "deegree_ogc_services" );
    String title = application.getServletContextName();
    if ( title == null ){
        title = "deegree 2";
    }

    // it may be difficult to find this out dynamically
    String servicesName = "services";   

    String docPath = "http://download.deegree.org/deegree" + Version.getVersionNumber() + "/docs";
%>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="expires" content="0" />
        <title>deegree</title>
        <link rel="stylesheet" href="./css/deegree.css" />
    </head>
    <body>
        <table width="100%" border="1" cellspacing="0" cellpadding="3">
            <tr>
                <th>deegree Web&nbsp;Application</th>
            </tr>
            <tr>
                <td class="menu">
                <% if ( serviceList.contains( "WMS" ) && !serviceList.contains( "WPVS" ) ) { %>
                    <a href="wms.jsp" target="_top">WMS example requests &amp; clients</a><br />
                <% }
                   if (serviceList.contains( "WMPS" ) ) { %>
                   <a href="wmps.jsp" target="_top">WMPS example requests &amp; client</a><br />
                <% } 
                    if (serviceList.contains( "WFS" ) ) { %>
                    <a href="wfs.jsp" target="_top">WFS example requests &amp; client</a><br />
                <% } 
                    if (serviceList.contains( "WCS" ) ) { %>
                    <a href="wcs.jsp" target="_top">WCS example requests &amp; client</a><br />
                <% }
                    if (serviceList.contains( "CSW" ) ) { %>
                    <a href="csw.jsp" target="_top">CSW example requests &amp; clients</a><br />
                <% } 
                    if (serviceList.contains( "WPS" ) ) { %>
                    <a href="wps.jsp" target="_top">WPS example requests &amp; clients</a><br />
               <% } 
                    if (serviceList.contains( "WSS" ) ) { %>
                    <a href="wss.jsp" target="_top">WSS example requests &amp; clients</a><br />
                <% } 
                    if (serviceList.contains( "WAS" ) ) { %>
                    <a href="was.jsp" target="_top">WAS example requests &amp; clients</a><br />
                <% } 
                    if (serviceList.contains( "WPVS" ) ) { %>
                    <a href="wpvs.jsp" target="_top">WPVS example requests &amp; clients</a><br />
                <% }
                    if ( "true".equals( igeoportal ) ) { %>
                    <a href="igeoportal-std" target="_blank">deegree iGeoPortal</a>
                <% } %>
                </td>
            </tr>
        </table>
        <br />
        <table width="100%" border="1" cellspacing="0" cellpadding="3">
            <tr>
                <th>Documentation online</th>
            </tr>
            <tr>
                <td class="menu">
                <% if ( serviceList.contains( "WMS" ) && !serviceList.contains( "WPVS" ) ) { %>
                    <strong>WMS</strong><br />
                    <a href="<%=docPath%>/wms/deegree_wms_documentation_en.pdf" target="_blank">deegree WMS</a> [PDF]<br />
                    <a href="<%=docPath%>/wms/deegree_charts_documentation_en.pdf" target="_blank">deegree Charts</a> [PDF]<br />
                    <a href="<%=docPath%>/wms/README.txt" target="main">readme</a> [TXT]<br />
                <% }
                    if (serviceList.contains( "WMPS" ) ) { %>
                    <strong>WMPS</strong><br />
                    <a href="<%=docPath%>/wmps/deegree_wmps_documentation_en.pdf" target="_blank">deegree WMPS</a> [PDF]<br />
                    <a href="<%=docPath%>/wmps/README.txt" target="main">readme</a> [TXT]<br />
                <% }
                    if (serviceList.contains( "WFS" ) ) { %>
                    <strong>WFS</strong><br />
                    <a href="<%=docPath%>/wfs/deegree_wfs_documentation_en.pdf" target="_blank">deegree WFS</a> [PDF]<br />
                    <a href="<%=docPath%>/wfs/README.txt" target="main">readme</a> [TXT]<br />
                <% } 
                    if (serviceList.contains( "WCS" ) ) { %>
                    <strong>WCS</strong><br />
                    <a href="<%=docPath%>/wcs/deegree_wcs_documentation_en.pdf" target="_blank">deegree WCS</a> [PDF]<br />
                    <a href="<%=docPath%>/wcs/README.txt" target="main">readme</a> [TXT]<br />
                <% }
                    if (serviceList.contains( "CSW" ) ) { %>
                    <strong>CSW</strong><br />
                    <a href="<%=docPath%>/csw/deegree_csw_2.0.2_documentation_en.pdf" target="_blank">deegree CSW</a> [PDF]<br />
                    <a href="<%=docPath%>/catalogueManager/deegree_catalogueManager_documentation_de.pdf" target="_blank">deegree catalogueManager (german)</a> [PDF]<br />
                    <a href="<%=docPath%>/csw/README.txt" target="main">readme</a> [TXT]<br />
                <% } 
                    if (serviceList.contains( "WPS" ) ) { %>
                    <strong>WPS</strong><br />
                    <a href="<%=docPath%>/wps/deegree_wps_documentation_en.pdf" target="_blank">deegree WPS</a> [PDF]<br />
                    <a href="<%=docPath%>/wps/README.txt" target="main">readme</a> [TXT]<br />
               <% } 
                    if (serviceList.contains( "WSS" ) ) { %>
                    <strong>WSS</strong><br />
                    <a href="<%=docPath%>/wss/deegree_wss_documentation_en.pdf" target="_blank">deegree WSS</a> [PDF]<br />
                    <a href="<%=docPath%>/wss/README.txt" target="main">readme</a> [TXT]<br />
                <% } 
                    if (serviceList.contains( "WAS" ) ) { %>
                    <strong>WAS</strong><br />
                    <a href="<%=docPath%>/wss/deegree_was_documentation_en.pdf" target="_blank">deegree WAS</a> [PDF]<br />
                    <a href="<%=docPath%>/wss/README.txt" target="main">readme</a> [TXT]<br />
                <% } 
                    if (serviceList.contains( "WPVS" ) ) { %>
                    <strong>WPVS</strong><br />
                    <a href="<%=docPath%>/wpvs/deegree_wpvs_documentation_en.pdf" target="_blank">deegree WPVS</a> [PDF]<br />
                    <a href="<%=docPath%>/wpvs/README.txt" target="main">readme</a> [TXT]<br />
                <% }
                    if ( "true".equals( igeoportal ) ) { %>
                    <strong>iGeoPortal</strong><br />
                    <a href="<%=docPath%>/igeoportal/deegree_igeoportal_documentation_en.pdf" target="_blank">deegree iGeoPortal</a> [PDF]<br />
                    <a href="<%=docPath%>/igeoportal/README.txt" target="main">readme</a> [TXT]
                <% } %>
                </td>
            </tr>
        </table>
        <br/>
        <table width="100%" border="1" cellspacing="0" cellpadding="3">
            <tr>
                <th>deegree online</th>
            </tr>
            <tr>
                <td class="menu">
                    <a href="http://deegree.org/" target="_blank">Home&nbsp;Page</a>
                    <br />
                    <a href="http://wiki.deegree.org" target="_blank">Wiki</a>
                    <br />
                    <a href="http://demo.deegree.org" target="_blank">Demo Installation</a>
                    <br />
                    <a href="http://wald.intevation.org/tracker/?group_id=27" target="_blank">Issue Tracker</a>
                    <br />
                    <a href="https://lists.sourceforge.net/lists/listinfo/deegree-users" target="_blank">Users&nbsp;Mailing&nbsp;List</a>
                    <br />
                    <a href="https://lists.sourceforge.net/lists/listinfo/deegree-devel" target="_blank">Developers&nbsp;Mailing&nbsp;List</a>
                </td>
            </tr>
        </table>
    </body>
</html>